package myfitnessdiary;

import java.io.FileReader;
import java.io.IOException;

import javax.swing.JOptionPane;

import myfitnessdiary.controller.Controller;
import myfitnessdiary.controller.MyController;
import myfitnessdiary.model.MyFitnessDiary;
import myfitnessdiary.model.FitnessDiary;
import myfitnessdiary.persistence.ActivityRepository;
import myfitnessdiary.persistence.BadFileFormatException;
import myfitnessdiary.persistence.MyReportWriter;
import myfitnessdiary.persistence.TextFileActivityRepository;
import myfitnessdiary.ui.FitnessFrame;

public class MyMain {

	public static void main(String[] args) {

		try (FileReader reader = new FileReader("Attivita.txt")) {
			ActivityRepository repo = new TextFileActivityRepository(reader);
			FitnessDiary myDiary = new MyFitnessDiary();
			Controller myController = new MyController(myDiary, repo, new MyReportWriter());

			FitnessFrame fitnessFrame = new FitnessFrame(myController);
			fitnessFrame.setVisible(true);

		} catch (IOException | BadFileFormatException e) {

			JOptionPane.showMessageDialog(null, "Errore I/O: Impossibile leggere i dati");
			e.printStackTrace();

		}

	}
}