package myfitnessdiary.ui;

import java.time.Instant;
import java.time.LocalDate;
import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.util.Date;

import javax.swing.JSpinner;
import javax.swing.SpinnerDateModel;

public class MyDateSpinner extends JSpinner {
	private static final long serialVersionUID = 1L;

	public MyDateSpinner() {
		super(new SpinnerDateModel());
		JSpinner.DateEditor dateEditor = new JSpinner.DateEditor(this, "E dd/MM/yyyy");
		setEditor(dateEditor);

	}

	public LocalDate getDate() {
		Date input = (Date) getValue();
		Instant instant = input.toInstant();
		ZonedDateTime zdt = instant.atZone(ZoneId.systemDefault());
		LocalDate date = zdt.toLocalDate();
		return date;

	}

}
